Package Details: python-accelerate 0.32.0-1

Git Clone URL: https://aur.archlinux.org/python-accelerate.git (read-only, click to copy)
Package Base: python-accelerate
Description: A simple way to train and use PyTorch models with multi-GPU, TPU, mixed-precision
Upstream URL: https://github.com/huggingface/accelerate
Keywords: accelerate huggingface pt pytorch torch
Licenses: Apache
Groups: hugginface
Submitter: jzbor
Maintainer: daskol
Last Packager: daskol
Votes: 1
Popularity: 0.194762
First Submitted: 2023-01-24 11:40 (UTC)
Last Updated: 2024-07-04 07:36 (UTC)

Latest Comments

yoshiK commented on 2024-01-04 12:44 (UTC) (edited on 2024-01-04 12:48 (UTC) by yoshiK)

The install fails, apparently because python-tokenizers is too new.

[...]

 Successfully built accelerate-0.25.0-py3-none-any.whl
==> Starting check()...
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/home/yoshi/.cache/yay/python-accelerate/src/accelerate-0.25.0/src/accelerate     /__init__.py", line 3, in <module>
  from .accelerator import Accelerator

[...]

 ImportError: tokenizers>=0.11.1,!=0.11.3,<0.14 is required for a normal functioning of this module, but found tokenizers==0.15.0.
 Try: pip install transformers -U or pip install -e '.[dev]' if you're working with git main
 ==> ERROR: A failure occurred in check().
 Aborting...

Lucki commented on 2023-12-07 23:44 (UTC)

The build fails in a clean chroot in the check function:

…
Successfully built accelerate-0.25.0-py3-none-any.whl
==> Starting check()...
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ModuleNotFoundError: No module named 'accelerate'
==> ERROR: A failure occurred in check().
    Aborting...
==> ERROR: Build failed, check /var/lib/aurbuild/x86_64/lucki/build

yodaembedding commented on 2023-02-05 23:37 (UTC) (edited on 2023-02-06 00:24 (UTC) by yodaembedding)

Consider correcting the description:

pkgdesc="Train and use PyTorch models with multi-GPU, TPU, mixed-precision"

Insufficient makedepends (please check with paru -Ui --chroot --rebuild=all), seems to need python-setuptools:

makedepends=(python-build python-installer python-wheel python-setuptools)

And adding tests:

checkdepends=(
  "python-pytest"
  "python-datasets"
  "python-evaluate"
  "python-transformers"
  "python-scipy"
  "python-scikit-learn"
  "python-deepspeed"
  "python-tqdm"
)

check() {
  cd "$_name-$pkgver"
  pytest tests
}